Generate suggested replies (Assist mode) — requires write scope
POST
/projects/{projectId}/agent/suggest
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body required
application/jsonconversation_id
string
REQUIRED
Responses
200
Suggestions
No response body
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/agent/suggest' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "conversation_id": "string"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/agent/suggest', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "conversation_id": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/agent/suggest', headers=headers, json={ "conversation_id": "string"})print(response.json())
API Playground
Try this endpoint
POST
/projects/{projectId}/agent/suggest